precision mediump float;

varying lowp vec2 textureCoordinate;
uniform sampler2D uTexture;
uniform sampler2D uTextureU;
uniform sampler2D uTextureV;

void main(){
    float r, g, b, y, u, v;
    y = texture2D(uTexture, textureCoordinate).r;
    v = texture2D(uTextureV, textureCoordinate).r - 0.5;
    u = texture2D(uTextureU, textureCoordinate).r - 0.5;
    r = y + 1.13983*v;
    g = y - 0.39465*u - 0.58060*v;
    b = y + 2.03211*u;
    gl_FragColor = vec4(r,g,b,1.0);
}
